Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class NewWizardAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.NewWizardAction

All Implemented Interfaces:
  ActionFactory.IWorkbenchAction, IAction

public class NewWizardAction
extends Action
implements ActionFactory.IWorkbenchAction

Invoke the resource creation wizard selection Wizard.

This class may be instantiated; it is not intended to be subclassed.

This method automatically registers listeners so that it can keep its enablement state up to date. Ordinarily, the window's references to these listeners will be dropped automatically when the window closes. However, if the client needs to get rid of an action while the window is still open, the client must call #dispose() to give the action an opportunity to deregister its listeners and to perform any other cleanup.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`NewWizardAction()` Deprecated. use the constructor `NewWizardAction(IWorkbenchWindow)`
`NewWizardAction(IWorkbenchWindow window)` Create a new instance of this class.

Method Summary
`void` | `dispose()` Disposes of this action.
`String` | `getCategoryId()` Returns the id of the category of wizards to show or `null` to show all categories.
`void` | `run()` Runs this action.
`void` | `setCategoryId(String id)` Sets the id of the category of wizards to show or `null` to show all categories.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### NewWizardAction

    public NewWizardAction(IWorkbenchWindow window)

  Create a new instance of this class.

Parameters:
  `window` -

### NewWizardAction

    public NewWizardAction()

  Deprecated. use the constructor `NewWizardAction(IWorkbenchWindow)`

  Create a new instance of this class

Method Detail

### getCategoryId

    public String getCategoryId()

  Returns the id of the category of wizards to show or `null` to show all categories.

  Returns:
    String

### setCategoryId

    public void setCategoryId(String id)

  Sets the id of the category of wizards to show or `null` to show all categories.

  Parameters:
    `id` -

### run

    public void run()

  Description copied from interface: `IAction`
  Runs this action. Each action implementation must define the steps needed to carry out this action. The default implementation of this method in `Action` does nothing.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### dispose

    public void dispose()

  Description copied from interface: `ActionFactory.IWorkbenchAction`
  Disposes of this action. Once disposed, this action cannot be used. This operation has no effect if the action has already been disposed.

  Specified by:
    `dispose` in interface `ActionFactory.IWorkbenchAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.